众所周知,Debian官方的包存储库向来比较保守,众多软件的版本都比较老旧.
例如都 Debian11 了,PHP8也发布两年了,PHP 版本还是和 10 一样的7.4(っ °Д °;)っ
随着越来越多的主流程序支持乃至推荐使用 php8,旧版本愈发难以满足我们的需求.

有人会说,你自己编译安装新版本不就行了吗,按着官方文档一步步做又不难?
但是,我懒啊(理直气壮ヾ(•ω•`)o
apt多方便?装扩展,升级新版本都是一条命令搞定,不用老是重新下源码再编译.
有没有什么办法呢?
前段时间在意外看到了Debian官方源中PHP的维护者Ondřej Surý的项目DEB.SURY.ORG,里面有适用于历代Debian/Ubuntu的各个版本的PHP的软件包,包括最新的8.0/8.1φ(゜ ▽ ゜*)♪

简介

使用

添加存储库:

  • Debian

    curl -sSL https://packages.sury.org/php/README.txt | sudo bash -x
    sudo apt update
    
  • Ubuntu

    sudo LC_ALL=C.UTF-8 add-apt-repository ppa:ondrej/php
    sudo apt update
    

    然后apt upgrade就可以平滑升级到 php8 啦ヾ(≧▽≦*)o

注意事项

升级到新的大版本后,默认的配置文件路径会改变!一定要记得把配置文件移过去(掉线数小时的教训)
例如:
7.4版本的配置文件路径:/etc/php/7.4/
8.1版本的配置文件路径:/etc/php/8.1/